package com.xhkjedu.smarking.mapper.stupaper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.exam.MsClass;
import com.xhkjedu.smarking.model.exam.MsClassStudent;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentScore;
import com.xhkjedu.smarking.vo.exam.ESubjectVo;
import com.xhkjedu.smarking.vo.stupaper.PaperStuScoreVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷学生补录成绩历史表 Mapper 接口
 * @Author auto
 * @Date 2024-11-11
 */
public interface MsPaperStudentScoreMapper extends TkMapper<MsPaperStudentScore> {

    //补录成绩-列表
    List<Map<String,Object>> listStuScores(@Param("examid")Integer examid);

    //补录成绩-补录历史
    List<Map<String,Object>> listStuScoresHistory(@Param("stu")MsClassStudent stu);

    //补录成绩-删除学生补录成绩
    int deleteStuScoreByExamid(@Param("examid")Integer examid,@Param("studentid")Integer studentid);

    //补录成绩-新增补录-班级学生
    List<Map<String,Object>> listStudentsForAdd(@Param("examid")Integer examid,@Param("classid")Integer classid);
    //补录成绩-新增补录-学生科目分数
    List<Map<String,Object>> listStudentSubjectScores(@Param("examid")Integer examid,@Param("studentid")Integer studentid);

    //补录成绩-批量新增-考试科目
    List<ESubjectVo> listSubjectsByExamid(@Param("examid")Integer examid);
    //补录成绩-导入-考试班级
    List<MsClass> listClassesByExamid(@Param("examid")Integer examid);
    //补录成绩-导入-考试学生
    List<PaperStuScoreVo> listStudentScoreByExamid(@Param("examid")Integer examid);
}
